phpLDAPadmin

# Class: Syntax

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

### Class Overview

    SchemaItem
       |
       --Syntax

Represents an LDAP Syntax

### Methods

- __construct

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$name

### Inherited Methods

#### Class: SchemaItem

SchemaItem::getDescription()
SchemaItem::getIsObsolete()
  Gets whether this objectClass is flagged as obsolete by the LDAP server.
SchemaItem::getName()
  Return the objects name.
SchemaItem::getOID()
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 1286]
Represents an LDAP Syntax
[ Top ]

### Class Methods

### constructor __construct [line 1290]

`Syntax __construct( $class)`

Creates a new Syntax object from a raw LDAP syntax string.

#### Tags:

access: | public

#### Parameters:

| $class |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1